Skip to content

Scores a set of candidate outputs against a suite SYNCHRONOUSLY (the redteam pattern — no module goroutines) and returns 201 with the completed run + per-case.

POST
/v1/m/evals/runs
curl --request POST \
--url https://example.com/v1/m/evals/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "baseline_ref": "example", "model_ref": "example", "outputs": { "additionalProperty": "example" }, "prompt_variant": "example", "subject_kind": "example", "subject_ref": "example", "suite_ref": "example" }'

Scores a set of candidate outputs against a suite SYNCHRONOUSLY (the redteam pattern — no module goroutines) and returns 201 with the completed run + per-case.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
baseline_ref
string
model_ref
string
outputs
required
object
key
additional properties
string
prompt_variant
string
subject_kind
string
subject_ref
string
suite_ref
required
string
>= 1 characters
Example generated
{
"baseline_ref": "example",
"model_ref": "example",
"outputs": {
"additionalProperty": "example"
},
"prompt_variant": "example",
"subject_kind": "example",
"subject_ref": "example",
"suite_ref": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}